SDL_GetRenderViewport(3)

NAME
SDL_GetRenderViewport - Get the drawing area for the current target.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetRenderViewport(SDL_Renderer *renderer, SDL_Rect *rect);

FUNCTION PARAMETERS

renderer
    the rendering context

rect
    an SDL_Rect
     structure filled in with the current drawing area

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_RenderViewportSet(3), SDL_SetRenderViewport(3)